:root{
    --azuloscuro:#020914;
    --azulclaro:#00ffff;
    --grisoscuro:#8892b0;
    --grisclaro:#ccd6f6;
    --fuente1:'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    --fuente2: "SF Mono", "Fira Code", "Fira Mono", "Roboto Mono", monospace;
    --normal-font: 400;
    --bold-font: 700;
    --bolder-font: 900;
    --bg-color: #fcfcfc;
    --primary-color: #4756df;
    --secondary-color: #ff7235;
    --primary-shadow: #8b8eaf;
    --secondary-shadow: #a17a69;
    --bottom-margin: 0.5rem;
    --bottom-margin-2: 1rem;
    --line-height: 1.7rem;
    --transition: 0.3s;
  }

body{
    background-color: var(--azuloscuro);
    /*  cursor:url(/img/github.svg),auto;*/
}


/* Header */
header{
    

display: flex;
align-items: center;
font-family: var(--fuente2);
justify-content: space-between;
padding: 15px;
padding-right: 85px;
margin-top: 15px;
background-color: #020914;
}


header img{
    height: 40px;
    width: fit-content;
    margin-left: 25px;

}

.number_span{
  
    color: #00ffff;
    font-size: 14px;
}

.head_title a{
    text-decoration: none;
    color: var(--grisclaro);
    font-size: 14px;
    transition: .8s;
    
}

.head_title a:hover{
    color: var(--azulclaro);
    font-size: 15px;
    transition: .8s;
    
}





.head_links{
   display: flex;
   align-items: center;
  
 }
.head_links div{
   margin-left: 15px;
   margin-right: 5px; 
   display: flex;
  
 
}

.div_resume{
    color: var(--azulclaro);
    border:var(--azulclaro) 1px solid;
    border-radius: 6px;
    padding: 15px;
    font-size: 15px;
    
}


.div_resume>a{
    text-decoration: none;
    color: var(--azulclaro);
}

.div_resume>a>span{
    margin-right: 10px;
}

.div_resume:hover{
   opacity: 0.5;

}


/*Contenido*/
div.contenido{
    display: flex;
}




/*SUB TEMAS - GENERALIDADES*/

.section_contenido{
    margin-top: 185px;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
  
}

.titulos_contenido{
    display: flex; 
 }
 

 .titulos_contenido{
    align-items: center;
 }

 div.number_title{
    color: var(--azulclaro);
    font-size: 20px;
 }

 div.head_title{
    color: #ccd6f6;
    font-size: 30px;
    padding-left: 10px;
 }

 div.line{
    border-top: 1px solid #8892b0;
    width: 250px;
    margin-left: 18px; 
 }

    .parrafos{
    color:#8892b0;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-size: 20px;
    padding-right: 50px;
 
    margin-top: 40px;
    margin-bottom: 20px;
}

/*LINEA DEBAJO DE LINKS*/
.underline{
    color:var(--azulclaro);
    display: inline-block;
    position: relative;
    cursor:pointer;
}

.underline::after{
   content: '';
   position: absolute;
   width: 100%;
   height: 2px;
   bottom: 0;
   left: 0;
   background-color: var(--azulclaro); 
   transform: scaleX(0);
   transform-origin:bottom right ;
   transition:transform 0.6s ease-out;
}

.underline:hover:after{
    transform: scaleX(1);
    transform-origin: bottom left;
    
}


/*ABOUT ME*/
.contenido_about_me{
    display: flex;
}

.contenido_about_me img{
    width: 300px;
    height: 300px;
    border-radius: 5px;
    

}
.contenedor_img {
    position: relative;
    width: 50%;
  }
  
  .image {
    display: block;
    width: 100%;
    height: auto;
  }
  
  .overlay_img {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: #06454565;
    overflow: hidden;
    width: 100%;
    height: 0;
    transition: .5s ease;
  }
  
  .contenedor_img:hover .overlay_img {
    height: 100%;
  }
  
  .text_img {
    white-space: nowrap; 
    color: white;
    font-family: var(--fuente1);
    font-size: 20px;
    position: absolute;
    overflow: hidden;
    text-shadow: black 0.1em 0.1em 0.2em;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
  }


  /* Hacer Acordion con este https://www.youtube.com/watch?v=0XpqjdK2HDc */
  .acordion_general{
    margin-top: 45px;
    width: 100%;
    
    padding: 30px;
    background-color: transparent;
    border-radius: 20px;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  

}

.acordion_general .section_acordion{
    position: relative;
    margin-bottom: 20px;

}

.acordion_general .section_acordion:last-child{
    margin-bottom: 0;
    
}

.acordion_general input[type=radio]{
position: absolute;
right: 0;
top:0;
opacity: 0;
}


.acordion_general label{
    position: relative;
    display: block;
    padding:15px 20px;
    font-size: 20px;
    color: var(--grisclaro);
    cursor: pointer;
   transition: all .3s ease-in-out;
}

.acordion_general label::before,.acordion_general label::after{
    content: '';
    position: absolute;
    right: 20px;
    top: 50%;
    width: 20px;
    height: 2px;
    background-color: #8892b0;
}
.acordion_general label::after{
    transform: rotate(90deg);
    
}
.acordion_general input[type=radio]:checked+label{
    color: var(--azulclaro);
}

.acordion_general input[type=radio]:checked+label::before,.acordion_general input[type=radio]:checked+label::after{
    transform: rotate(360deg);
}


.acordion_general .content_acordion{
    margin-bottom: 15px;
    padding: 15px 20px 0;
    height: 0;
    font-size: 16px;
    color: var(--grisoscuro);
    line-height: 1.6;
    overflow: hidden;
    border-top: 1px solid var(--grisclaro);
  
    transition: all 1.5s ease-in-out;
}

.acordion_general input[type=radio]:checked + label + .content_acordion{
    height: fit-content;
    transition: all 2s ease-in-out;
}



/*ESTUDIOS ACADEMICOS
-------------------------------------------------*/

.content_estudios{
    display: flex;
    padding: 25px;
    width: 100%;
    color: var(--azuloscuro);
}

.linea_tiempo div{ 
    background-color: white;
    width: 15px;
    height: 15px;
    border-radius: 50%;

}

.instituciones{
    margin-left: 25px;  
    width: auto;
    
    box-shadow: #00ffff;
   
}

.institucion{
    background-color: white;
    border-radius: 10px;
    display: flex;
    padding: 15px;
    width: 100%;
    margin-bottom: 25px;
    justify-content: space-between;
    box-shadow: 0px 5px 1px 0px var(--grisclaro);
}

.institucion img{
   width: 100px;
   height: 100px;
}

.institucion_year{
    text-align: center;
    padding: 30px 50px 30px 50px;
    font-weight: bold;
}

.institucion_details{
    padding: 1% 50px 0px 0px;
}

.institucion_details img{
  padding: 5px;
width: 300px;
height: auto;

}

.institucion_name{
    margin-bottom: 0;
}

.linea_tiempo .circulo{
    margin-top: 65px;
}

.linea_tiempo .c2{
    margin-top: 135px;
}

.linea_tiempo .c3{
    margin-top: 135px;
}

.linea_tiempo .c4{
    margin-top: 135px;
}

.line_time{
    position: absolute;
    border-top: 1px solid #8892b0;
    width: 420px;
    bottom: 15px;
    transform: rotate(90deg);
   top: 150px;
  left: -368px;
   z-index: -1;
 
 }


 /*GALERIA DE INTERESES*/

  
  div.desc {
    padding: 15px;
    text-align: center;
    background-color: white;
  }
  
  * {
    box-sizing: border-box;
  }
  
  
  @media only screen and (max-width: 700px) {
    .responsive {
      width: 49.99999%;
      margin: 6px 0;
    }
  }
  
  @media only screen and (max-width: 500px) {
    .responsive {
      width: 100%;
    }
  }
  
  .clearfix:after {
    content: "";
    display: table;
    clear: both;
  }


/*Social Media*/
div.social_media{
    position:fixed;
    top: 0;
    display: flex;
    flex-direction: column;
    margin-left: 50px;
    padding-right: 80px;
    margin-top: 17%;
}


svg.icons_media{
    color: #ccd6f6 !important;
    width: 20px;
    height: 20px;
    margin: 10px;
    margin-bottom: 26px;
    transition: .8s;
    transform: translateY(0px);
   
}

svg.icons_media:hover{
    color: #00ffff !important;
    transition: .8s;
    transform: translateY(-5px);
}

div.social_media>div.vl{
    border-left: 1px solid #8892b0;
    height: 200px;
    margin-left: 18px;
}



/* Contenido Central*/
div.contenido_central{
margin-left: 15%;
 margin-right: 15%;
 padding-top:50px ;
 
}


div.first-page> h2{
    color:#ccd6f6;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-size: 65px;
    margin: 0;
    margin-top: 25px
}

div.first-page >h3{
    color:#8892b0;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-size: 65px;
    margin: 0;
}

div.first-page>p{
    color:#8892b0;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-size: 20px;
    padding-right: 125px;
    margin-top: 40px;
    margin-bottom: 20px;
}

div.first-page>div.div_resume{
    width: fit-content;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    padding: 25px;
}



/**/

/*Column email*/
div.column_email{
    position: fixed;
    display: flex;
    margin-left: 90%;
    flex-direction: column;
    margin-top: 12%;
}

div.column_email>span{
    float: left;
    transform-origin: left top 0;
    transform: rotate(90deg);
    color: #8892b0;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    margin-left: 50%;
   
   
}

div.column_email>span:hover{
    color: #00ffff;
    opacity: 0.9;
    transition: .8s;
   
}

div.column_email>div.vl{
    border-left: 1px solid #8892b0;
    height: 200px;
    margin-top: 150px;
    margin-left: 65px;
}

div.typewriter{
    margin-right: 700px;
}

.typewriter h1 {
    color: #00ffff;
    font-size: 25px;
    font-family: "SF Mono", "Fira Code", "Fira Mono", "Roboto Mono", monospace;
    overflow: hidden; /* Ensures the content is not revealed until the animation */
    border-right: .15em solid orange; /* The typwriter cursor */
    white-space: nowrap; /* Keeps the content on a single line */
    margin: 0; /* Gives that scrolling effect as the typing happens */
    letter-spacing: .15em; /* Adjust as needed */
    animation: 
      typing 3.5s steps(40, end),
      blink-caret .75s step-end infinite;
  }
  
  /* The typing effect */
  @keyframes typing {
    from { width: 0 }
    to { width: 100% }
  }
  
  /* The typewriter cursor effect */
  @keyframes blink-caret {
    from, to { border-color: transparent }
    50% { border-color: gray; }
  }



  /*CONTENIDO SKILLS*/

  .contenido_skills{
    display: flex;
  }

  .leaderboard {
    max-width: 490px;
    width: 100%;
    border-radius: 12px;
  }
  .leaderboard header {
    --start: 15%;
    height: 130px;
    background-image: repeating-radial-gradient(circle at var(--start), transparent 0%, transparent 10%, rgba(54, 89, 219, 0.33) 10%, rgba(54, 89, 219, 0.33) 17%), linear-gradient(to right, #5b7cfa, #3659db);
    color: #fff;
    position: relative;
    border-radius: 12px 12px 0 0;
    overflow: hidden;
  }
  .leaderboard header .leaderboard__title {
    position: absolute;
    z-index: 2;
    top: 50%;
    right: calc(var(--start) * .75);
    transform: translateY(-50%);
    text-transform: uppercase;
    margin: 0;
  }
  .leaderboard header .leaderboard__title span {
    display: block;
  }
  .leaderboard header .leaderboard__title--top {
    font-size: 24px;
    font-weight: 700;
    letter-spacing: 6.5px;
  }
  .leaderboard header .leaderboard__title--bottom {
    font-size: 13px;
    font-weight: 500;
    letter-spacing: 3.55px;
    opacity: 0.65;
    transform: translateY(-2px);
  }
  .leaderboard header .leaderboard__icon {
    fill: #fff;
    opacity: 0.35;
    width: 50px;
    position: absolute;
    top: 50%;
    left: var(--start);
    transform: translate(-50%, -50%);
  }
  .leaderboard__profiles {
    background-color: #fff;
    border-radius: 0 0 12px 12px;
    padding: 15px 15px 20px;
    display: grid;
    row-gap: 8px;
  }
  .leaderboard__profile {
    display: grid;
    grid-template-columns: 1fr 3fr 1fr;
    align-items: center;
    padding: 10px 30px 10px 10px;
    overflow: hidden;
    border-radius: 10px;
    box-shadow: 0 5px 7px -1px rgba(51, 51, 51, 0.23);
    cursor: pointer;
    transition: transform 0.25s cubic-bezier(0.7, 0.98, 0.86, 0.98), box-shadow 0.25s cubic-bezier(0.7, 0.98, 0.86, 0.98);
    background-color: #fff;
  }
  .leaderboard__profile:hover {
    transform: scale(1.2);
    box-shadow: 0 9px 47px 11px rgba(51, 51, 51, 0.18);
  }
  .leaderboard__picture {
    max-width: 100%;
    width: 60px;
    border-radius: 50%;
    box-shadow: 0 0 0 10px #ebeef3, 0 0 0 22px #f3f4f6;
  }
  .leaderboard__name {
    color: #979cb0;
    font-weight: 600;
    font-size: 20px;
    letter-spacing: 0.64px;
    margin-left: 12px;
  }
  .leaderboard__value {
    color: #35d8ac;
    font-weight: 700;
    font-size: 34px;
    text-align: right;
  }
  .leaderboard__value > span {
    opacity: 0.8;
    font-weight: 600;
    font-size: 13px;
    margin-left: 3px;
  }
  

  
  .leaderboard {
    box-shadow: 0 0 40px -10px rgba(0, 0, 0, 0.4);
  }


  /*CURSOS Y CAPACITACIONES*/
  .wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .wrapper > * {
    margin: 5px;
  }
  
  .media {
    width: 300px;
    height: 200px;
    overflow: hidden;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .media img {
    max-width: 100%;
    height: auto;
  }
  
  .layer {
    opacity: 0;
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 10px;
    height: 90%;
    background: #FFF;
    color: #151E3F;
    transition: all 0.9s ease;
  }
  .layer p {
    transition: all 0.9s ease;
    transform: scale(0.1);
  }
  
  .div.layer p {
    font-family: "Inconsolata", monospace;
    text-align: center;
    font-size: 15px;
    letter-spacing: 1px;
  }
  
  .media:hover .layer {
    opacity: 0.8;
    width: 90%;
    transition: all 0.5s ease;
  }
  .media:hover .layer p {
    transform: scale(1);
    transition: all 0.9s ease;
  }

/*CONTENIDO EXPERIENCE*/
/*.contenido_experience{
    display: flex;
  }
*/
  .container {
   
    background: var(--azuloscuro);
    width: 750px;
    height: 500px;
    margin: 0 auto;
    position: relative;
    margin-top: 10%;
    box-shadow: 2px 5px 20px rgba(119, 119, 119, 0.5);
  }
  
  .leftbox {
    top: -5%;
    left: 5%;
    position: absolute;
    width: 15%;
    height: 110%;
    background-color: var(--azulclaro);
    box-shadow: 3px 3px 15px rgba(119, 119, 119, 0.5);
  }
  
  nav {
    margin: 2.6em auto;
  }
  
  nav a {
    list-style: none;
    padding: 35px;
    color: #232931;
    font-size: 1.1em;
    display: block;
    transition: all 0.5s ease-in-out;
  }
  
  .rightbox {
    padding: 0em 34rem 0em 0em;
    height: 100%;
  }
  
  .rb-container {
    font-family: var(--fuente1);
    width: 50%;
    margin: auto;
    display: block;
    position: relative;
  }
  
  .rb-container ul.rb {
    margin: 2.5em 0;
    padding: 0;
    display: inline-block;
  }
  
  .rb-container ul.rb li {
    list-style: none;
    margin: auto;
    margin-left: 10em;
    min-height: 15px;
    border-left: 1px dashed #fff;
    padding: 0 0 50px 30px;
    position: relative;
  }
  
  .rb-container ul.rb li:last-child {
    border-left: 0;
  }
  
  .rb-container ul.rb li::before {
    position: absolute;
    left: -18px;
    top: -5px;
    content: " ";
    border: 8px solid rgba(255, 255, 255, 1);
    border-radius: 500%;
    background: var(--azulclaro);
    height: 20px;
    width: 20px;
    transition: all 500ms ease-in-out;
  }
  
  .rb-container ul.rb li:hover::before {
    border-color: #232931;
    transition: all 1000ms ease-in-out;
  }
  
  ul.rb li .timestamp {
    color: var(--azulclaro);
    position: relative;
    width: 600px;
    font-size: 18px;
  }
  
  .item-title {
    color: #fff;
    padding-right: 85px;
  }
  
  .container-3 {
    width: 5em;
    vertical-align: right;
    white-space: nowrap;
    position: absolute;
  }
  
  
  
  .container-3 .icon {
    margin: 1.3em 3em 0 31.5em;
    position: absolute;
    width: 150px;
    height: 30px;
    z-index: 1;
    color: #4f5b66;
  }
  
  input::placeholder {
    padding: 5em 5em 1em 1em;
    color: var(--azulclaro);
  }


  .tarjeta-de-proyectos{
    background-color: white;
  }

.contenedor-de-proyectos img{
  width: 35%;
  height: auto;
}


/*GALERIA TIPO PINTEREST*/
.gallery img{
  max-width: 100%;
  margin-bottom: 0.5em;
  display: block;
  outline:2px solid white;
  outline-offset: -10px;
  border-radius: 8px;
}

.gallery{
  columns: 5 320px;
  column-gap: 0.5em;
  padding: 0 10% 0 10%;
  margin-top: 15px;
}


/*Galeria DE CERTIFICADOS */
.certificados{
  display: flex;
  flex-wrap: wrap;
  justify-content: start;
}

.certif{
  border-radius: 8px;
  border: #ababab solid 1px;
  width: 250px;
  height: auto;
 /* Same as width, sets height */
margin: 10px;
  position: relative;
}

.certif .imagen{
  background-color: #f2f2f2;
  text-align: center;
  border-radius: 8px 8px 0 0;
}

.certif .imagen img{
  width: 225px;
  height: auto;
  padding:25px 2px;
  transition: transform .5s;
  cursor:pointer;
}

.certif .imagen img:hover{
  transform: scale(1.3) ;
  transition: transform 1.2s;

}

.certif .descripcion{
  padding: 15px;
  background: white;
  color: #151E3F;
  border-radius: 0 0 8px 8px;
  height: auto;
}

.certif .descripcion .titulo{
  font-size: 16px;
  font-weight: bold;
}

.certif .descripcion .entidad{
  background: var(--azuloscuro);
  color: #00ffff;
  font-weight: bold;
  width: fit-content;
  margin: 5px 0;
  font-size: 14px;
  border-radius: 35px;
  padding: 5px 10px;
}